All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
context.hpp File Reference

Extracts the underlying context from objects. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/context.hpp"`
`#include "viennacl/traits/handle.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::traits
| Namespace providing traits-information as well as generic wrappers to common routines for vectors and matrices such as size() or clear()

## Functions

template<typename T >
viennacl::context | viennacl::traits::context (T const &t)
| Returns an ID for the currently active memory domain of an object. More...
viennacl::context | viennacl::traits::context (viennacl::backend::mem_handle const &h)
| Returns an ID for the currently active memory domain of an object. More...

## Detailed Description

Extracts the underlying context from objects.

Definition in file context.hpp.